ad_library {

    dotLRN todo Applet Package APM callbacks library
    
}

namespace eval dotlrn_todo::apm {}

ad_proc dotlrn_todo::apm::after_install {
} {

    Register the implementation for dotlrn_applet

} {

    dotlrn_todo::apm::register_impl

}

ad_proc dotlrn_todo::apm::after_upgrade { 

    -from_version_name:required
    -to_version_name:required

} {

    Upgrade logic for the dotlrn-todo package

} {

    apm_upgrade_logic \
        -from_version_name $from_version_name \
        -to_version_name $to_version_name \
        -spec {  
            0.1d1 0.1d2 {

                dotlrn_todo::apm::register_impl

            }
        }
    
}

ad_proc -private dotlrn_todo::apm::register_impl {
} {

    Register the implementation of the applet

} {

    acs_sc::impl::new_from_spec -spec [subst {
        name dotlrn_todo
        description "[dotlrn_todo::get_pretty_name]"
        contract_name dotlrn_applet
        owner dotlrn_todo
        aliases {
            GetPrettyName dotlrn_todo::get_pretty_name
            AddApplet dotlrn_todo::add_applet
            AddAppletToCommunity dotlrn_todo::add_applet_to_community
            AddPortlet dotlrn_todo::add_portlet
            RemoveApplet dotlrn_todo::remove_applet
            RemoveAppletFromCommunity dotlrn_todo::remove_applet_from_community
            AddUser dotlrn_todo::add_user
            RemoveUser dotlrn_todo::remove_user
            AddUserToCommunity dotlrn_todo::add_user_to_community
            RemoveUserFromCommunity dotlrn_todo::remove_user_from_community
            RemovePortlet dotlrn_todo::remove_portlet
            ChangeEventHandler dotlrn_todo::change_event_handler
            Clone dotlrn_todo::clone
        }
    }]
}

