<?xml version="1.0"?>

<queryset>

  <rdbms>
    <type>postgresql</type>
    <version>8.3</version>
  </rdbms>

  <fullquery name="select_item">
    <querytext>
      select  title,
            description,
            to_char(due_date, 'YYYY MM DD') as due_date,
            status
      from todo_items_all
      where item_id = :item_id
      and owner_id = :user_id
    </querytext>
  </fullquery>

  <fullquery name="update_item">
    <querytext>
      select todo_item__update(:item_id,:title,:description,:due_date,:status,:user_id)
    </querytext>
  </fullquery>

</queryset>
